Bug 225285 - Merge Review: aspell-sv
Merge Review: aspell-sv
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-29 16:06 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 23:32:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-29 16:06:14 EST
Fedora Merge Review: aspell-sv

http://cvs.fedora.redhat.com/viewcvs/devel/aspell-sv/
Comment 1 Parag AN(पराग) 2007-03-28 06:03:32 EDT
Can you please change %build and %install section and add new buildroot and
disttag which is optional to add in SPEC?
Comment 2 Parag AN(पराग) 2007-03-28 06:22:07 EDT
Also found,
W: aspell-sv summary-ended-with-dot Swedish dictionaries for Aspell.
Summary ends with a dot.

E: aspell-sv no-cleaning-of-buildroot %install
You should clean $RPM_BUILD_ROOT in the %clean section and just after the
beginning of %install section. Use "rm -Rf $RPM_BUILD_ROOT".

Comment 3 Parag AN(पराग) 2007-03-30 07:18:58 EDT
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM and RPM.
  But following messages are ignorable
  E: aspell-sv no-binary
  E: aspell-sv only-non-binary-in-usr-lib
  E: aspell-sv configure-without-libdir-spec
+ SPEC file contains explanation about above warnings.
+ source files match upstream.
d180c781f8986ea0f65b6b18f02a494e  aspell-sv-0.51-0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Requires: aspell >= 12:0.60
+ Provides: aspell-sv = 50:0.51-2.fc7
+ Not a GUI APP.

APPROVED.
Comment 4 Parag AN(पराग) 2007-04-10 23:32:42 EDT
As build is available now, therefore CLOSING this review.

Note You need to log in before you can comment on or make changes to this bug.